Feature # 692 (Closed): Perform an extensive interface review of all classes

Review xml module classes

02/20/2013 03:03 AM - Knödlseder Jürgen

Status: Closed Start date: 01/12/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 10.00 hours

Target version: 00-08-00   

Description

History

#1 - 02/20/2013 03:06 AM - Knödlseder Jürgen

The following classes have been reviewed:  

Class Comment

GXml Derive from GContainer, implement container

methods, pass nodes by reference instead of

pointers.

GXmlNode Derive from GContainer, implement container

methods, pass nodes by reference instead of

pointers.

GXmlAttribute Checked using example scripts

GXmlComment Checked using example scripts

GXmlDocument Checked using example scripts

GXmlElement Checked using example scripts, add attribute

removal method

GXmlPI Checked using example scripts

GXmlText Checked using example scripts, add text retrieval

method

#2 - 03/15/2013 11:40 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 20

The review has been started in course of the URL implementation (see #800). Index parameters are now declared as const references, the
documentation has been improved.

#3 - 03/15/2013 11:40 AM - Knödlseder Jürgen

- Remaining (hours) changed from 10.0 to 8.0

#4 - 03/16/2013 12:35 AM - Knödlseder Jürgen

- % Done changed from 20 to 60

- Remaining (hours) changed from 8.0 to 4.0

#5 - 03/16/2013 01:13 AM - Knödlseder Jürgen

- % Done changed from 60 to 80

- Remaining (hours) changed from 4.0 to 2.0

A chief review if all remaining classes has been performed. What is still missing is a review of all comments and documentation. The interfaces

appear now pretty okay.

#6 - 03/16/2013 10:36 PM - Knödlseder Jürgen

We need a method for deleting attributed from a GXmlElement.

#7 - 03/17/2013 02:55 PM - Knödlseder Jürgen

- % Done changed from 80 to 90

- Remaining (hours) changed from 2.0 to 1.0

Jürgen Knödlseder wrote:

We need a method for deleting attributed from a GXmlElement.

 

I added the remove_attribute() method for this purpose.

#8 - 03/17/2013 02:59 PM - Knödlseder Jürgen

Example scripts have been implemented that test all functionalities of the XML document handling classes. We can now be pretty sure that the

interface provides at least all methods necessary for XML handling. So the interface handling is now basically finished.

The only remaining issue is a review of the class description in the header files and a review of all method descriptions in the source files.

#9 - 03/17/2013 03:16 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

- Remaining (hours) changed from 1.0 to 0.0

Done.

#10 - 12/03/2013 09:59 AM - Knödlseder Jürgen
- Status changed from Feedback to Closed

Powered by TCPDF (www.tcpdf.org)

05/04/2024 3/3

http://www.tcpdf.org

